## org.openorb.compiler.object
Class IdlString

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlString

All Implemented Interfaces:
  idlObject, idlString, java.io.Serializable

public class IdlString
extends IdlObject
implements idlString

Cette classe represente l'objet IDL String

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlString(int size, IdlObject father)` Cree un objet IDL String

Method Summary
`void` `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`int` `max()` Return the max length
`int` `maxSize()` Retourne la taille maximale de la chaine

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlString

    public IdlString(int size,
                     IdlObject father)

  Cree un objet IDL String

Method Detail

### maxSize

    public int maxSize()

  Retourne la taille maximale de la chaine
  Returns:
    la taille max

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### max

    public int max()

  Description copied from interface: `idlString`
  Return the max length
  Specified by:
    `max` in interface `idlString`